.a-sidenav-item {
  position: relative;

  height: 100%;
  min-height: 4.8rem;
  padding: 0.8rem 1.4rem;

  display: flex;
  align-items: baseline;

  border-radius: 0.8rem;

  transition: background 0.25s;

  &:hover {
    background: #8989be;
  }

  &[data-active="true"] {
    background: #fff;

    .a-sidenav-item {
      &__name {
        color: #374352;
        font-weight: 600;
      }
    }
  }

  &[data-expand="false"] {
    .a-sidenav-item {
      &__icon {
        margin: 0.6rem 0 0 0;
      }

      &__name {
        display: none;
      }

      &__toggle {
        opacity: 0;
      }
    }
  }

  &[data-expand="true"] {
    .a-sidenav-item {
      &__name {
        transition: all 0.25s;
        transition-delay: 0.25s;
      }
    }
  }

  &__icon {
    width: 2rem;
    height: 2rem;
    margin: 0.6rem 1.2rem 0 0;

    & > img {
      width: 100%;
      height: 100%;
    }
  }

  &__name {
    padding-right: 3.2rem;

    flex: 1;

    color: $black;
    font-size: 1.4rem;
    font-weight: 500;
    line-height: 2rem;

    transform: translateY(0.15rem);
  }

  &__toggle {
    position: absolute;
    top: 50%;
    right: 1rem;

    width: 2rem;
    height: 2rem;

    object-fit: contain;
    object-position: center;

    transform: rotate(180deg) translateY(50%);

    transition: opacity 0.25s;

    &[data-open="true"] {
      transform: rotate(0deg) translateY(-50%);
    }
  }

  &__popover {
    position: absolute;
    top: 0;
    left: 100%;

    width: 17.5rem;
    padding: 0 0 0 1.5rem;

    opacity: 0;

    pointer-events: none;

    transition: opacity 0.25s;

    &::before {
      position: absolute;
      top: 1.8rem;
      left: 0.6rem;

      width: 0.9rem;
      height: 1.2rem;

      clip-path: polygon(0 50%, 100% 0, 100% 100%);

      background: #f2f2f8;
      box-shadow: 0 0.8rem 2.4rem rgba(115, 132, 152, 0.15);

      content: "";
    }

    &[data-active="true"] {
      opacity: 1;

      pointer-events: all;
    }

    .popover-container {
      position: relative;

      background: #fff;
      border-radius: 0.8rem;
      box-shadow: 0 0.8rem 2.4rem rgba(115, 132, 152, 0.15);

      .popover-item {
        height: 4.8rem;
        padding: 0 1.6rem;

        display: flex;
        align-items: center;

        color: #374352;
        font-size: 1.4rem;
        font-weight: 400;

        &:first-child {
          background: #f2f2f8;
          border-top-left-radius: 0.8rem;
          border-top-right-radius: 0.8rem;

          color: #505091;
          font-weight: 500;
        }

        &:last-child {
          border-bottom-left-radius: 0.8rem;
          border-bottom-right-radius: 0.8rem;
        }
      }
    }
  }

  &__sub-item {
    height: 100%;
    padding: 1.4rem 1.4rem 1.4rem 4.8rem;

    display: flex;
    align-items: center;

    border-radius: 0.8rem;

    color: #fff;
    font-weight: 400;

    transition: background 0.25s;

    cursor: pointer;

    &:hover {
      background: #8989be;
    }

    &[data-active="true"] {
      background: #fff;
      color: #374352 !important;
      font-weight: 600;

      .a-sidenav-item {
        &__name {
          color: #374352 !important;
          font-weight: 600;
        }
      }
    }
  }
}
